package/wprobe: fix for kernels >= 2.6.38
authorAlexandros C. Couloumbis <alex@ozo.com>
Thu, 24 Feb 2011 15:51:28 +0000 (15:51 +0000)
committerAlexandros C. Couloumbis <alex@ozo.com>
Thu, 24 Feb 2011 15:51:28 +0000 (15:51 +0000)
SVN-Revision: 25701

package/wprobe/src/kernel/wprobe-core.c

index 68d0717..cf0c74a 100644 (file)
@@ -243,8 +243,13 @@ wprobe_add_frame(struct wprobe_iface *dev, const struct wprobe_wlan_hdr *hdr, vo
                                def = j;
                                continue;
                        }
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,38)
+                       if (sk_run_filter(skb, fi->filter) == 0)
+                               continue;
+#else
                        if (sk_run_filter(skb, fi->filter, fi->hdr.n_items) == 0)
                                continue;
+#endif
 
                        found = true;
                        break;